#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
#-----------------------------------------------------------------------------
Name		:	mupdf
Version		:	1.24.9
Release		:	17.0.10.rel%{?dist}
Summary		:	A lightweight PDF viewer and toolkit

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	AGPLv3+
URL		:	https://mupdf.com/releases/

Source0		:	%{name}-%{version}-source.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	binutils
BuildRequires	:	coreutils
BuildRequires	:	curl
BuildRequires	:	desktop-file-utils
BuildRequires	:	freetype-devel
BuildRequires	:	gcc
BuildRequires	:	gcc-c++
BuildRequires	:	glu-devel
BuildRequires	:	harfbuzz-devel
BuildRequires	:	libjpeg-turbo-devel
BuildRequires	:	make
BuildRequires	:	mesa-devel
BuildRequires	:	openjpeg
BuildRequires	:	openssl-devel
BuildRequires	:	pkg-config
BuildRequires	:	xorg-libXext
BuildRequires	:	xorg-libXi
BuildRequires	:	xorg-libXrandr

#-----------------------------------------------------------------------------
%description
MuPDF is a lightweight PDF viewer and toolkit written in portable C.
The renderer in MuPDF is tailored for high quality anti-aliased
graphics.  MuPDF renders text with metrics and spacing accurate to
within fractions of a pixel for the highest fidelity in reproducing
the look of a printed page on screen.
	
MuPDF has a small footprint.  A binary that includes the standard
Roman fonts is only one megabyte.  A build with full CJK support
(including an Asian font) is approximately seven megabytes.
MuPDF has support for all non-interactive PDF 1.7 features, and the
toolkit provides a simple API for accessing the internal structures of
the PDF document.  Example code for navigating interactive links and
bookmarks, encrypting PDF files, extracting fonts, images, and
searchable text, and rendering pages to image files is provided.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README CHANGES docs/*
%{_bindir}/%{name}
%{_bindir}/mupdf-*
%{_bindir}/muraster
%{_bindir}/mutool
%{_libdir}/lib%{name}.so.24*
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}*.svg
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/mutool.1.gz


#=============================================================================
%package		devel

Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The mupdf-devel package contains header files for developing
applications that use mupdf and static libraries

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/fitz/*.h
%{_includedir}/%{name}/pdf/*.h

#=============================================================================
%prep
%setup -q -n %{name}-%{version}-source

tar xvf %{SOURCE1}

#First, fix the Makefile to link properly with the shared library 
sed -i  							\
  -e '/MU.*_EXE. :/{
      s/\(.(MUPDF_LIB)\)\(.*\)$/\2 | \1/
      N
      s/$/ -lmupdf -L$(OUT)/
      }'						\
   Makefile

echo > user.make << EOF
USE_SYSTEM_FREETYPE := yes
USE_SYSTEM_HARFBUZZ := yes
USE_SYSTEM_JBIG2DEC := no
USE_SYSTEM_JPEGXR := no # not used without HAVE_JPEGXR
USE_SYSTEM_LCMS2 := no # need lcms2-art fork
USE_SYSTEM_LIBJPEG := yes
USE_SYSTEM_MUJS := no # build needs source anyways
USE_SYSTEM_OPENJPEG := yes
USE_SYSTEM_ZLIB := yes
USE_SYSTEM_GLUT := no # need freeglut2-art fork
USE_SYSTEM_CURL := yes
USE_SYSTEM_GUMBO := no	
EOF
#-----------------------------------------------------------------------------
#building application
%build
export XCFLAGS=-fPIC

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	build=release					\
	shared=yes 					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


%{__make}						\
	DESTDIR=%{buildroot}				\
	prefix=%{_prefix}				\
	libdir=%{_libdir}				\
	shared=yes					\
	build=debug					\
	verbose=yes					\
	install


%{__ln_s}						\
	%{name}-x11					\
	%{buildroot}%{_bindir}/%{name}

## handle docs on our own
%{__rm} -rf %{buildroot}/%{_docdir}

desktop-file-install					\
	 --dir=%{buildroot}%{_datadir}/applications	\
	 %{name}-ok_addon/%{name}.desktop

desktop-file-install					\
	 --dir=%{buildroot}%{_datadir}/applications	\
	 %{name}-ok_addon/%{name}-gl.desktop

%{__mkdir_p}						\
	%{buildroot}%{_datadir}/icons/hicolor/scalable/apps
	
install -p -m644					\
	docs/logo/mupdf-logo.svg			\
	%{buildroot}%{_datadir}/icons/hicolor/scalable/apps/mupdf.svg
	
install -p -m644					\
	docs/logo/mupdf-logo.svg			\
	%{buildroot}%{_datadir}/icons/hicolor/scalable/apps/mupdf-gl.svg

#-----------------------------------------------------------------------------
%changelog
